{% extends "master.twig" %}

{% block canonical %}https://sfnw.online/articles/{{ page }}{% endblock %}

{% block header %}
    <script src="/public/assets/js/list.min.js"></script>
{% endblock %}

{% block body %}

    <div class="ten wide computer thirteen wide tablet sixteen wide mobile column" id="sortable">

        <h1>Articles</h1>

        {% if page == "all" %}
        <div class="ui huge fluid input">
            <label for="filter" style="display: none">Filter</label>
            <input name="filter" id="filter" class="search" type="text" placeholder="Search...">
        </div>
        {% endif %}

        <div class="ui styled fluid accordion list">
            {% for article in articles %}
                {% include 'includes/article.twig' %}
            {% endfor %}
        </div>

        {% if (page != "all") and (page > 1) %}
        <div class="ui fluid huge buttons">
            <a href="/articles/{{ page-1 }}" class="ui button">Previous page</a>
            <a href="/articles/{{ page+1 }}" class="ui button">Next page</a>
        </div>
        {% elseif (page != "all") and (page <= 1) %}
            <div class="ui fluid huge buttons">
                <a href="/articles/{{ page+1 }}" class="ui button">Next page</a>
            </div>
        {% endif %}

    </div>

    <script>
        const list_options = {
            valueNames: ['s-title', 's-author', 's-cat', 's-tag']
        };
        const artList = new List('sortable', list_options);
    </script>

    <div id="token" data-token="{{ token }}" style="display: none"></div>

    <script async src="{{ asset('assets/js/shelves.min.js') }}"></script>

{% endblock %}
